@import './_spacing.scss';

@import '_media.css';

@import '~@fortawesome/fontawesome-free/css/all.min.css';

html, body {
    padding: 0px;
    margin: 0px;
    height: 100%;
    width: 100%;
    font-family: Avenir, Helvetica, Arial, sans-serif;
    -webkit-font-smoothing: antialiased;
    -moz-osx-font-smoothing: grayscale;
}

ul {
    list-style: none;
}

p, h1, h2, h3, h4, h5, h6 {
    margin: 0px;
}

a {
    text-decoration:none;
}

button:focus {
    outline: none;
}

// App Component
.app-container {
    display: grid; 
    grid-template-columns: 15% 85%;
    // Add height so you will scroll inside the app not the body
    height: calc(100vh - 58px); overflow-y: auto;
}

.two-column-grid {
    display: grid; 
    grid-template-columns: 40% 60%;
}
// --------------------

// Sidebar
.sidebar-item {
    cursor: pointer;
    padding: 20px 10px 5px 20px;
}

.sidebar-item:hover span {
    color: #0069d9;
}

.sidebar-item:hover i {
    background-color: #0069d9;
    color: white
}
// --------------------

// Dark Mode
$dark-color: #131417;

$light-color: white;

#app.dark-mode {
    background-color: $dark-color;
    color: $light-color;

    .messages-list-item:hover {
        background-color: rgb(63, 63, 63);
        cursor: pointer;
    }

    .navbar, input {
        background-color: #1e1f26;
    }

    .box-shadow {
        -webkit-box-shadow: 0px 2px 5px 0px rgb(233 233 233 / 5%);
        -moz-box-shadow: 0px 2px 5px 0px rgb(233 233 233 / 5%);
        box-shadow: 0px 2px 5px 0px rgb(233 233 233 / 5%);
    }

    .toggle-mode button {
        background-color: $light-color;
        color: #131417;
        border: 1px solid #1e1f26;
        border-radius: 50%;
        padding: 20px;
    }

    .toggle-mode button:hover {
        background-color: #1e1f26;
        color: $light-color;
        border: 1px solid #1e1f26;
        cursor: pointer;

    }

    .icon-button i {
        color: red;
        background-color: $light-color;
    }

    .icon-button:hover i {
        background-color: red;
        color: $light-color
    }

    .sidebar-wrapper i {
        color: #0069d9;
        background-color: $light-color;
    }

    .sidebar-item:hover i {
        background-color: #0069d9;
        color: $light-color
    }

    .total-messages {
        background-color: $dark-color;
        color: $light-color;
    }
}

#app.light-mode {
    background-color: $light-color;
    color: $dark-color;
}
// --------------------


// UTILITIES
.relative {
    position: relative;
}

.flex {
    display: flex;
}

.justify-content-between {
    justify-content: space-between;
}

.align-items-baseline {
    align-items: baseline;
}

.flex-direction-columns {
    flex-direction: column;
}

.w-100 {
    width: 100%;
}

.h-100 {
    height: 100%;
}

.border {
    border: 2px solid #dedede;
}

.border-left {
    border-left: 2px solid #dedede;
}

.text-grey {
    color: grey;
}

.text-red {
    color: red;
}

.text-right {
    text-align: right;
}

.bg-white {
    background-color: white;
}

.bg-lightgrey {
    background-color: rgb(233, 233, 233);
}

.box-shadow {
    -webkit-box-shadow: 0px 5px 5px 0px rgb(0 0 0 / 20%);
    -moz-box-shadow: 0px 5px 5px 0px rgb(0 0 0 / 20%);
    box-shadow: 0px 5px 5px 0px rgb(0 0 0 / 20%);
}

.word-break {
    word-break: break-all;
}
// --------------------

// Input
.input {
    width: 100%;
    padding: 10px 0px;
    border-radius: 5px;
    text-indent: 20px;
    margin-left: -1px;
}

// Custom Buttons
.icon-button i {
    width: 20px;
    height: 20px;
    padding: 10px;
    border-radius: 50%;
    color: white;
    margin-right: 10px;
    text-align: center;
}

.icon-button-blue i {
    background-color: #0069d9;
}

.icon-button-blue:hover i {
    background-color: #dedede;
    color: #0069d9;
}

.icon-button-red i {
    background-color: red;
}

.icon-button-red:hover i {
    background-color: #dedede;
    color: red;
}

// Custom Scrollbar
::-webkit-scrollbar {
    width: 3px;
    height: 3px;
}

::-webkit-scrollbar-track {
    background: transparent;
    border-radius: 5px !important; 
}
 
::-webkit-scrollbar-thumb {
    background: #888; 
    border-radius: 5px !important;
}

::-webkit-scrollbar-thumb:hover {
    background: #555; 
    border-radius: 5px !important;
}
// ------------------------



